services:
    admin.bulletin_classe:
        class: App\Admin\BulletinClasseAdmin
        arguments: [~, App\Entity\BulletinClasse, App\Controller\Admin\BulletinClasseAdminController, '@sn_notifications.notification_sender', '@translator']
        calls:
            - [setTemplate, ['edit', 'admin/Bulletin/new.html.twig']]
            - [addChild, ['@admin.bulletin_eleve', 'bulletinClasse']]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: admin.bulletin_classe.Bulletins_de_Classe }
        public: true

    admin.bulletin_eleve:
        class: App\Admin\BulletinEleveAdmin
        arguments: [~, App\Entity\BulletinEleve, App\Controller\Admin\BulletinEleveAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: admin.bulletin_eleve.Bulletins }
        public: true
        calls:
            - [addChild, ['@admin.bulletin_conseil', 'bulletin']]

    admin.bulletin_conseil:
        class: App\Admin\BulletinConseilAdmin
        arguments: [~, App\Entity\BulletinConseil, App\Controller\Admin\BulletinConseilAdminController]
        tags:
            - { name: sonata.admin, manager_type: orm, group: admin, label: Conseil }
        public: true
